### `<w-radio>` API

#### Properties

| Name | Type | Default | Summary |
|-|-|-|-|
| checked | `boolean` | `false` | Draws the radio in a checked state (reflected to attribute). |
| disabled | `boolean` | `false` | Disables the radio. |
| invalid | `boolean` | `false` | Draws the radio in an invalid state. |
| name | `string` | `-` | The name of the radio, submitted as a name/value pair with form data. |
| required | `boolean` | `false` | Makes the radio a required field. |
| value | `string \| null` | `null` | The radio's value. When selected, the radio group will receive this value. |

#### Property Details

##### checked

Draws the radio in a checked state (reflected to attribute).

- Type: `boolean`
- Default: `false`

##### disabled

Disables the radio.

- Type: `boolean`
- Default: `false`

##### invalid

Draws the radio in an invalid state.

- Type: `boolean`
- Default: `false`

##### name

The name of the radio, submitted as a name/value pair with form data.

- Type: `string`
- Default: `-`

##### required

Makes the radio a required field.

- Type: `boolean`
- Default: `false`

##### value

The radio's value. When selected, the radio group will receive this value.

- Type: `string | null`
- Default: `null`

